Subject: Re: bug#11068: 24.0.94; Face-remapped background does not extend to end of window

From: martin rudalics <[email-masked]>
Date: Fri, 30 Mar 2012 12:47:28 +0200

Amendment: I see now why specifying a number for the cursor property
_is_ useful.  It seems that I can get what I initially mentioned (color
just the selected window) by doing

(defvar my-end-overlay nil)
(defvar my-start-overlay nil)
(defvar my-string nil)
(defvar my-window (selected-window))

(progn
   (when (overlayp my-end-overlay)
     (delete-overlay my-end-overlay))
   (when (overlayp my-start-overlay)
     (delete-overlay my-start-overlay))
   (setq my-end-overlay (make-overlay 0 0))
   (setq my-start-overlay (make-overlay 0 0))
   (overlay-put my-start-overlay 'face 'lazy-highlight)
   (overlay-put my-start-overlay 'window my-window)
   (move-overlay my-start-overlay (point-min) (point-max))

   (setq my-string (propertize (make-string 100 10) 'face 'lazy-highlight))
   (put-text-property 0 1 'cursor 100 my-string)
   (overlay-put my-end-overlay 'after-string my-string)
   (overlay-put my-end-overlay 'window my-window)
   (move-overlay my-end-overlay (point-max) (point-max)))

(ignoring stickyness, insertion, and change of selected window) just
that moving to the end of the buffer doesn't yet seem quite correct.

martin